# Recursive Bayesian Networks

[![tests](https://github.com/robert-lieck/RBN/actions/workflows/tests.yml/badge.svg)](https://github.com/robert-lieck/RBN/actions/workflows/tests.yml)
[![codecov](https://codecov.io/gh/robert-lieck/RBN/graph/badge.svg?token=6VZ2LIFSL9)](https://codecov.io/gh/robert-lieck/RBN)

![build](https://github.com/robert-lieck/RBN/workflows/build/badge.svg)
[![PyPI version](https://badge.fury.io/py/rbnet.svg)](https://badge.fury.io/py/rbnet)

[![doc](https://github.com/robert-lieck/RBN/actions/workflows/doc.yml/badge.svg)](https://robert-lieck.github.io/RBN/)
[![License: GPL v3](https://img.shields.io/badge/License-GPLv3-blue.svg)](https://www.gnu.org/licenses/gpl-3.0)

The Python `rbnet` package providing implementations of Recursive Bayesian Networks.

Lieck R, Rohrmeier M (2021) **Recursive Bayesian Networks: Generalising and Unifying Probabilistic Context-Free Grammars and Dynamic Bayesian Networks**. In: *Proceedings of the 35th Conference on Neural Information Processing Systems (NeurIPS 2021)*

```
@inproceedings{lieck2021RBN,
  title = {Recursive {{Bayesian Networks}}: Generalising and {{Unifying Probabilistic Context}}-{{Free Grammars}} and {{Dynamic Bayesian Networks}}},
  booktitle = {Proceedings of the 35th {{Conference}} on {{Neural Information Processing Systems}} ({{NeurIPS}} 2021)},
  author = {Lieck, Robert and Rohrmeier, Martin},
  year = {2021},
}
```

If you are looking for the code to reproduce the results from the NeurIPS 2021 paper, have a look at the NeurIPS 2021 branch [with](https://github.com/robert-lieck/RBN/tree/NeurIPS_2021_with_data) or [without](https://github.com/robert-lieck/RBN/tree/NeurIPS_2021_without_data) data.